New Feature: expose map scale to SQL queries (under "Layer Properties").

2011-08-07 04:04 PM - Thaddeus -

Status: Closed

Priority: Normal

Assignee: Nathan Woodrow

Category: Symbology

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 14125

Description

New Feature: expose map scale to SQL queries found under "Layer Properties".

In this way, Labels and Symbols cluttering the screen can be easily controlled by using a few boolean terms with the current scale value.

History

#1 - 2011-08-07 05:17 PM - Thaddeus -

- Tracker changed from Bug report to Feature request

#2 - 2011-12-09 08:47 AM - Paolo Cavallini

- Resolution set to fixed

- Status changed from Open to Closed

- Category set to Symbology

AFAICT this is implemented in new rule based symbology. Please check and reopen if not.

#3 - 2012-06-22 03:11 PM - John Tull

- Resolution deleted (fixed)

- Operating System set to All

- Target version set to Version 2.0.0

- Assignee set to Nathan Woodrow

This needs to be reopened, but I don't appear to have permission to do so. I was running into this today trying to set expression-based labels that would

use one label field at one scale, and another label at a larger or smaller scale. For example, a contour line layer can be setup nicely with rule-based styles to

show some features at a given scale, and not at other scales. One cannot work with the expression based label feature to similarly use fields as labels at

varied scales. You can only turn the entire label on or off.

In my example, I want to label 200' contours when I am at 1:25000 scale and closer. I want to use 500' intervals from 1:25000-100000, then 1000' intervals

from there. I cannot find a way to do this with a single layer. I can kludge it with multiple uses of a layer with different scale-based rules, but that is not very

elegant.
